Bug 127821 - Not Picking Up ALPS Electric TouchPad On AJP D480V Laptop
Not Picking Up ALPS Electric TouchPad On AJP D480V Laptop
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-14 07:11 EDT by Robin Boyce
Modified: 2015-01-04 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:52:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Boyce 2004-07-14 07:11:21 EDT
Description of problem:
Doesnt Detect AJP D480V TouchPad (Mouse) ALPS

Version-Release number of selected component (if applicable):

ALPS Electric

How reproducible:

Use AJP Laptop Model D480V
Steps to Reproduce:
1.Install Fedora Core 2
2.
3.
  
Actual results:
No Mouse

Expected results:
No Mouse

Additional info:
Picks Up a USB Mouse (When Plugged In)
Comment 1 Jeremy Katz 2004-07-14 14:01:44 EDT
Does it work post-install?  Can you attach the output of
/usr/sbin/kudzu -p -c MOUSE?
Comment 2 Robin Boyce 2004-07-30 11:41:43 EDT
linux i8042.nomux works for installer boot but back to no mouse once 
installed
Comment 3 Robin Boyce 2004-07-30 11:54:47 EDT
Just TouchPad:
/usr/sbin/kudzu -p -c MOUSE

displays nothing

USB Mouse:
/usr/sbin/kudzu -p -c MOUSE? 

displays info that i have a USB Genius Netscoll Mouse


sorry for late replys Jeremy, i ve been on holiday and unable to use 
internet i thank you for your wait.
Comment 4 Robin Boyce 2004-07-30 12:27:21 EDT
just found this site if it helps 
http://rzr.online.fr/docs/comp/keyboard.htm  (go down to bottom)

mosue worked under Installer a s Generic PS/2 Mouse and if hes got it 
to work under linux as a Generic PS/2 Mouse 80% or so then must work 
some how. 

"Touchpad works pretty well. I don't think it is a synaptic device 
but it worked. "
Comment 5 Marcel Telka 2004-11-18 18:02:40 EST
I've similar problem with my Alps touchpad on Clevo D22ES notebook.
The problem was introduced with kernel 2.6.x, after upgrade to Fedora
Core 2, and it is also persistent after upgrade to FC3. Tested with
all kernels released for FC2/3. Fedora Core 1 (with kernel 2.4.x)
worked ok.

If I want to use the touchpad, I must first boot MS Windows and then
reboot to FC3. Windows probably performs some touchpad related
hardware initialization steps which are persistent between reboots.
After such reboot the touchpad works well (as PS/2 mouse) with FC3
(kernel 2.6.x).
Comment 6 Alex Butcher 2004-11-28 14:41:11 EST
You might like to try rebuilding the standard FC kernel unchanged,
apart from adding the alps.patch supplied with the synaptics source
package.
Comment 7 Dave Jones 2005-04-16 01:52:40 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.